package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpeMainMapper;
import com.ruoyi.project.production.domain.TPpeMain;
import com.ruoyi.project.production.service.ITPpeMainService;

/**
 * 员工PPE检查记录Service业务层处理
 *
 * @author ssy
 * @date 2023-11-30
 */
@Service
public class TPpeMainServiceImpl implements ITPpeMainService
{
    @Autowired
    private TPpeMainMapper tPpeMainMapper;

    /**
     * 查询员工PPE检查记录
     *
     * @param id 员工PPE检查记录ID
     * @return 员工PPE检查记录
     */
    @Override
    public TPpeMain selectTPpeMainById(Long id)
    {
        return tPpeMainMapper.selectTPpeMainById(id);
    }

    /**
     * 查询员工PPE检查记录列表
     *
     * @param tPpeMain 员工PPE检查记录
     * @return 员工PPE检查记录
     */
    @Override
    public List<TPpeMain> selectTPpeMainList(TPpeMain tPpeMain)
    {
        return tPpeMainMapper.selectTPpeMainList(tPpeMain);
    }

    /**
     * 新增员工PPE检查记录
     *
     * @param tPpeMain 员工PPE检查记录
     * @return 结果
     */
    @Override
    public int insertTPpeMain(TPpeMain tPpeMain)
    {
        return tPpeMainMapper.insertTPpeMain(tPpeMain);
    }

    /**
     * 修改员工PPE检查记录
     *
     * @param tPpeMain 员工PPE检查记录
     * @return 结果
     */
    @Override
    public int updateTPpeMain(TPpeMain tPpeMain)
    {
        return tPpeMainMapper.updateTPpeMain(tPpeMain);
    }

    /**
     * 批量删除员工PPE检查记录
     *
     * @param ids 需要删除的员工PPE检查记录ID
     * @return 结果
     */
    @Override
    public int deleteTPpeMainByIds(Long[] ids)
    {
        return tPpeMainMapper.deleteTPpeMainByIds(ids);
    }

    /**
     * 删除员工PPE检查记录信息
     *
     * @param id 员工PPE检查记录ID
     * @return 结果
     */
    @Override
    public int deleteTPpeMainById(Long id)
    {
        return tPpeMainMapper.deleteTPpeMainById(id);
    }
}
